%%ItemTitle%%

Four Audio System Software and PPA Manual
Welcome

This document explains the use of the Four Audio System Software to control Four Audio DSP based amplifiers and controllers.

Copyright 2018 Four Audio GmbH & Co. KG

info@four-audio.com


System Requirements

Windows 7 and higher

Mac OS as of 10.10

2 GB RAM

100 MB hard disk space at least


Installing the Software

Download the installer from the Four Audio website for Windows and Mac OSX.

Simply, start the downloaded file and follow the instructions.

For Windows version < Windows 10, a driver for USB based devices is necessary.


Installing the driver for USB based devices

  1. In Windows versions older than Windows 10, you need to install a USB driver to be able to establish a connection to a PPA. This needs to be done only once and not for every PPA module.
  2. Download the drivers here and unzip the package.
  3. Open the Windows Device Manager and navigate to a device named VCOM, located in Other Devices
  4. Right-click the VCOM device and choose Update Driver Software
  5. Click Browse my computer for driver software
  6. Navigate to the directory with the unzipped driver files and click OK.
  7. After installation you’ll see a new device named PPA USB VCom Port.


Installing an Application Key

Certain features of the software are protected by application key files which need to be installed. Without installing at least one key (that we ship to you with the software), you will not be able to connect to a device.

Click on File – Install Application Key and navigate to your application key. The software acknowledges the successful installation and you can directly use the new features without having to restart the application.


Enabling Virtual Demo Devices for a Test Drive

When there is no real device available / connected, you can enable demo devices to test drive the Controller software.

Simply check the "Demo Devices" menu entry. The devices list will be populated with a number of devices with connection type "virtual".

Secondly, you can create a demo device from DDD files that you received from your vendor.

Click on "Create Demo Device From DDD ..." and locate the file you received.


Connecting to a Device

After installing the software, the USB driver (for pre Windows 10 versions, only) and an application key, the software UI looks like the following

To connect to the device, simply click on the icon in the "Controller" column for the desired device. A Controller window for this device will open and synchronize with it.


Changing Presets and Audio Inputs

In the System Manager window, double click on the "Current Preset" column for the desired device. This activates the drop-down control inside the table.

A second click opens the drop-down list. Select the desired preset by mouse or keyboard and click or press enter. The device will switch to the desired preset immediately.

The same procedure can be used to change the active audio input. The following pictures shows all available audio input types. Depending on the device, there may be less audio inputs available.


General Overview

The System Manager window is the central window displayed after starting up the software. From here, all subwindows or software modules can be accessed.

The standard menu bar at the top provides file operations like installing application keys or creating demo devices from DDD files containing presets.

The Help menu allows to enable demo devices and determine the version of the software.

A status bar at the bottom shows some status information on current activities if present.

The central widget is the table of devices showing general information on connected devices (and demo devices) and providing access to the Controller window and a settings or maintenance menu.

In the following, the contents of the table columns are explained

Name | The name given to the device like "left", "right" or "My precious little amp". Can be assigned by the end user from the Menu/Settings icon.
Type | The model type which was assigned by the vendor / developer, e.g. "PRS 1200" or "Euphonia". Belongs to the model ID. DDD files with presets need to have the same model ID. If no model ID was assigned, the device type is displayed, e.g. PPA 1000-4.
Connection | The type of connection which is used to access the device. Currently, "virtual" (demo devices), "COM #" (USB) or the IP address for ethernet based units are displayed.
Current Preset | The preset that is currently active on the device. If marked with an asterisk (*), the preset is dirty, meaning the user has modified the preset without saving it.
Input | The audio input that is currently in use. The number of different inputs depends on the features of the device. Possible values are in general "Analog", "AES", and "Dante"
Controller | Clicking the icon in this column opens the Controller window for this unit. If the icon is displayed shaded (inactive), the unit is not accessible due to missing user privileges. Reasons may be: Device is from a different vendor than the software or the user key is not installed.
Menu | Clicking the settings icon in the Menu column displays a drop down list which allows to configure the device, display status information or carry out firmware updates.


Maintenance Menu

Clicking the Maintenance Menu item opens a drop-down list with the following entries

Show Device Info | Opens a dialog displaying general information on the device like installed firmware, serial number, etc. See below for more information.
Refresh Device Data | Rerequests the above mentioned information from the device.
Upload DDD ... | Opens a file dialog to select a DDD file containing system presets to be uploaded to the unit. This file is usually shipped by the vendor of the module / speaker.
Update Firmware... | A firmware file is shipped with the software installation. If the version of this file is newer than the installed firmware version, this menu entry is active.

Device Info Dialog

Device Name | The user given name of the device. Can be changed right here by entering a new name. On modification, an additional button labelled "Upload Changes" appears at the bottom of the dialog.
Vendor | The name of the vendor company. If no key of this vendor is installed, a number is displayed instead of a character string.
Model Name | The model name given to this unit by the vendor.
Model Id | The complete model Id which is a sequence of numbers representing the vendor, the device type and the vendor given model Id.
Firmware Version | The firmware version which is currently installed on this device. It is a 4 digit number. New firmware versions come with fixes, modifications or complete new features. The leftmost digit represents the strongest changes. The rightmost numbers change when applying small bugfixes.
Input Configuration | Shows in full text the input configuration of the unit. E.g. "2 Channel Analog + AES + Dante + SR Converter" means that 2 analog inputs, an AES input and a Dante input, both using a sample rate converter are present.
Serial No. | The vendor given serial number.


Main View

After opening the controller window, the software is synchronising to the device and downloads the contents of the current preset.

The ui elements show at all times the current state of the device.

In the following, the display and control elements in the main view are explained.

1 | Preset Selection and Storage | Displays the currently active preset and allows to switch between presets. An asterisk (*) appended to the preset name indicates that the preset has been modified / has unsaved changes. The settings icon opens a drop-down list to load or store user presets. See below.
2 | Input Selector | Displays the currently selected input and allows to switch to a different input.
3 | Sync State Indicator | Indicates the synchronization state: Blue - controller window contents and device are in sync Orange - sync in progress (e.g after sending a command to the device and waiting for the acknowledgement) Red - synchronization lost (device did not respond to last command or responded with an error)
4 | Master Mute Button | Allows to mute the device completely. = Unmuted [image] = Muted
5 | Master Gain Slider and Spin Box | Allow to adjust the current master gain by either entering the desired value into the spinbox or using the slider.
6 | Channel Tabs | Allow to switch between Main, Input or Output view. Tabs that are inactive indicate either that the corresponding channel is not present in the device or that the preset does not allow modifications in this channel.
7 | Base Preset Indicator | If a user preset is active, this text box shows the system preset that this user preset is based on.
8 | Input Level Indicator | Displays the level at the input in real-time.
9 | Input Gain Fader and Edit Field | Display and allow to adjust the gain of the corresponding input. The type of input is shown above the edit field.
10 | Output Level Indicator | Displays the level at the output in real-time.
11 | Output Gain Fader and Edit Field | Display and allow to adjust the gain of the corresponding output.
12 | Gain Reduction Indicator | Displays the gain reduction in case a limiter is active
13 | RMS Limiter Charging | Shows the current charging of the RMS limiter. As this gets near 100% the RMS limiter is activated and starts reducing the level at this output.
14 | Output Mute Button | Mute or unmute the corresponding output and indicate the current mute state.

Preset Selection and User Preset Storage

The modifications that are applied to the device in the Controller window are stored in a so-called live preset which is permanently stored. After a power-cycle, these settings persist until a system preset is being recalled. The patches can also be stored permanently as user presets (*.pup files)under a given name.

The picture to the left shows an example for the opened Preset drop-down list with 3 system presets (factory icon) and one user preset.

When the user preset is selected / recalled, the device first loads the base preset and then applies the user preset as a patch to it.

1 | Saves the current device state to a new user preset. As a default, the name of the current preset prefixed with "My " is suggested and can be changed by the user.
2 | Reverts the state of the device to the preset displayed in the drop-down list (to undo changes).
3 | If a user preset is currently selected, this option overwrites the user preset with the current state.
4 | Deletes the currently active user preset.
5 | Saves the currently selected user preset to a file (*.pup)
6 | Loads a user preset from a *.pup file


EQ Editor

The EQ editor allows to activate / modify fully parametric EQs either by entering their parameters or by dragging them using the corresponding handles.

The editor is located in the input and output tabs and behaves the same in both views.

All actions are sent to the DSP immediately, so the EQs are controlled in real-time.

1 | Frequency Response Plot | Displays the overall frequency response of the EQs (white line). The EQ handles are located at the center frequencies of the corresponding EQs. The frequency response of a single highlighted EQ is displayed shaded.
2 | EQ Handles | Allow to adjust active EQs by dragging. Using the Ctrl key while dragging up/down adjusts the quality. When deactivated, the handle for the specific EQ disappears.
3 | EQ Active | Button with status indicator to de-/activate the EQ. When lit, EQ is active
4 | EQ Type | Control to change EQ-Type. Available: HP/LP 6/12 dB, LoShelve/HiShelve 6/12 dB, Bell filter, Allpass 6/12 dB
5 | EQ Frequency | Control for EQ frequency. Adjustable between 20 Hz and 24 kHz.
6 | EQ Gain | EQ gain. Grayed out for certain EQ types (LP/HP, Allpass)
7 | EQ Quality | Quality of EQ. Not adjustable for LP6 / HP6 / AP6. Adjustable between 0.1 (broad filter) and 1000 (sharp notch filter when using Bell filter)
8 | Reset to Defaults | Resets the EQ to the default parameters of the system preset.


Input View

The input view let's you adjust room / input EQs, gain and delay for the corresponding input.

The EQ Editor is explained in its own chapter. See EQ Editor

1 | Output Level Meter | Displays the levels of all used outputs. Non-used outputs are grayed out.
2 | Input Gain Control | Allows to change the input gain by either dragging the slider or entering the desired value in the edit field below the slider.
3 | Input Delay Control | Allows to set the input delay for the given input. The delay can only be adjusted in steps of 2 samples.
4 | Input Level Meter | Shows the input level of the given input.


Output View

The output view let's you adjust gain, delay, mute and phase inversion for the corresponding output if the system preset allows modification of these values.

Furthermore, output EQs, X-Over filters and limiters can be adjusted if the preset grants access to these parameters.

The EQ Editor is explained in its own chapter. See EQ Editor

Crossover Controls

1,2 | Frequency | Cross-Over frequencies for high and lowpass filters
3,4 | Characteristic | Characteristic of Cross-Over filters
5,6 | Order | Order of Cross-Over filters. The slope of the Cross-Over is 6 dB per order.

The cross-over controls are only visible if the system preset grants access to the cross-over settings. Cross-Overs are activated using the check-boxes in the top left corner of the controls.

Output Controls

7 | Output Level | Displays the levels at the outputs. Unused outputs are grayed out.
8 | Output Gain Control | Allows to adjust the output gain by using the slider or typing the value into the edit field.
9 | Output Delay Control | Allows to adjust the delay by entering the value in samples, milliseconds or millimeters or using the spinbox arrows.
10 | Phase Inversion | State-button to switch the polarity of the output signal. An active button (highlighted) signals a phase-inverted signal.
11 | Output Mute | State-button to mute / unmute the output. An active button (highlighted) signals a muted output.


General Features and Operation

The unit comes with a 176x220px TFT display and a touch panel. It displays the current state inside of the unit and provides the follwing functions

  • Show input and output levels and limiter operation
  • Display the currently selected preset and switch to a different one
  • Display the currently active input and switch to a different one
  • Show master gain and mute and adjust both
  • Show output gain / phase inversion / mute and delay and modify them (if the preset grants these rights to the user)

General operation of the touch panel

The touch panel can be operated by pushing the available buttons. You can not use sliders, they are only for displaying purposes.

Swiping left and right can be used to navigate between screens. Swiping up and down turns the display on / off.

To swipe, press firmly and move left/right or up/down over the whole screen.

Since the touch panel is resistive, it is possible to use a pen which allows more precise operation.

Switch Between the Different Views

After starting up the module, the unit shows the main screen with level information.

To switch between the different views swipe left and right. They are arranged in a circular manner as follows:

When the user navigates to a screen other than the Main Screen by swiping, the display returns to the Main Screen after 25s.

Switching Off the Display

Swiping down turns off the display.

Swiping up activates the display.

The state of the display is stored. If you turn off the display and power-cycle the device it starts normally with activated display but turns off the display after 25s.


Main Screen

After powering up the PPA module, the Main Screen with level meters and the currently active preset is shown.

The table below describes the UI elements on the Main Screen.

1 | Titlebar showing the currently active preset.
2 | Input level meter showing the type of input and the corresponding input level. Values are DRC : analog input with dual range conversion Ana 1, Ana 2 : single range analog inputs AES 1, AES 2: Digital AES inputs Dnt 1, Dnt 2: Digital Dante inputs
3 | Output level meter showing the processing channel and the corresponding level.
4 | Peak limiter indicator. Turns red when peak limiter is active.
5 | RMS limiter charging indicator. When charging gets near 100%, the RMS limiter gets active.
6 | Gain reduction indicator. Shows the currently applied gain reduction in dB (negative number, 0: no gain reduction).
7 | Limiter disabled is displayed if the limiter for this channel is set to off in the preset


Preset Selection

Swiping from the main screen to the right gets you to the Preset Selection dialog. Each preset is represented as a button with a state. The currently active preset is shown with a speaker symbol.

The screen shows up to 4 presets per page. If there are more presets present, swiping right will update the screen with the next 4 presets.

User presets are shown before the system presets.

To select a preset, simply push the button and wait until the speaker symbol changes position.


Input Selection

Swiping to the right from the (last) Preset Selection page, gets you to the Input Selection dialog.

Up to three inputs may be present on the module

  1. Analog
  2. AES
  3. Dante

The Input Selection dialog only appears if there is more than 1 input present.

Why does the input not change according to the display content?

The designer may have created presets that are always tied to a specific input (say, Analog 1). In this case, the selected input at the display is not considered.

Only, if the designer selects "Device Setting #" as inputs in the preset the user is able to switch to a different input.


Master Gain and Mute

The overall master gain can be adjusted by the buttons labelled "+" and "-". Each push will increment or decrement the gain by 1 dB. The maximum master gain is +20 dB, the minimum is -80 dB.

The master gain setting is stored permanently and restored after a power-cycle.

The Master Mute button displays the current mute state. Pushing the button inverses this state, thus, the complete unit can be muted.

The master mute state is not stored permanently. After a power-cycle, the device comes up unmuted again.


Channel Settings

In case the developer of the preset granted access rights for individual output/channel settings to the user, 3 more dialogs are available to modify

gain / delay / mute / phase inversion for these channels

In general, the current value and channel name / number are displayed in the middle between the modifier buttons.

Modifications are stored in the live preset, that is, after a power-cycle, these changes are still present until a different preset is being recalled.

To store the modifications permanently in a user preset, a connection to the System Software is necessary.

The values displayed initially are based on the current settings in the system preset and can be different from 0 / neutral.

Gain is modified in +- 1dB steps.

Delay is modified in steps of +-0.33 ms.

Mute and Phase status are represented by image buttons.


%%Phrase%%

Glossary
A | B | C | D | E | F | G | H | I | J | K | L | M | N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

application keys
Encrypted files with extension .key which grant access to certain parts of the application. Multiple keys can be installed at the same time.

D

DDD file
Contains one or more system presets for a device with a specific model ID. Can be uploaded by the end user.

Developer
User with developer rights given by the developer key. Is able to create system presets and assign / change model IDs.

DSP
Digital Signal Processor - integrated circuit specialized for signal processing tasks

E

End user
User with the right to upload DDD files, connect to devices and modify basic properties like gains, delays, mute, phase, user EQs. Developers can control precisely which presets / channels may be modified by the end user.

F

Firmware Version

The firmware version which is currently installed on this device. It is a 4 digit number. New firmware versions come with fixes, modifications or complete new features. The leftmost digit represents the strongest changes. The rightmost numbers change when applying small bugfixes.

It is advisable to install newer versions if present. In case of doubt, connect the support.

K

Key file
Application key granting access to functions/parts of the System Software. In general, there are Developer and End User keys which need to be installed from the file menu (File -> Install application key)

M

Model ID
A unique number which can be assigned to a device by the developer. End users can upload DDD files with that same model ID only.

P

PPAP files
Developer project files containing speaker measurements (if any) and presets for devices with a specific model ID. Can only be uploaded by developers. The model ID of the device can be changed to the ID contained in the file if the user has the right to do so.

pup files
Contain a user preset which can be uploaded to the unit.

U

User Preset
A collection of settings which can be adjusted by the end user like channel gains, delays, EQs, mute and phase inversion states. The presets can be stored on the device and are applied as patches on the system presets. They can also be stored as PUP files on the host computer.


End User Edition

Revision 1.0

25.07.2018